<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payroll_dates', function (Blueprint $table) {
            $table->id();
            $table->date('payroll_date')->index();
            $table->unsignedSmallInteger('company_id')->index()->nullable();
            $table->unsignedSmallInteger('dealer_id')->index()->nullable();
            $table->date('date_from')->nullable();
            $table->date('date_to')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payroll_dates');
    }
};
